﻿using Microsoft.Extensions.Primitives;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebApplication1
{
    public class HttpResponseFilter
    {
        Microsoft.AspNetCore.Http.RequestDelegate _next;
        public HttpResponseFilter(Microsoft.AspNetCore.Http.RequestDelegate next)
        {
            _next = next;
        }

        public async Task Invoke(Microsoft.AspNetCore.Http.HttpContext context)
        {
            context.Response.Body = new FilterStream(context.Response.Body, Encoding.UTF8);
            await context.Response.CompleteAsync();

            if (context.Request.Query.TryGetValue("t", out StringValues _) == true)
            {
                await _next.Invoke(context);
            }
            else
            {
            //   await context.Response.CompleteAsync();
            }
        }
    }
}
